@ECHO OFF

REM Last Changed: 06/05/2008 by Stefan Heule

::::::::::::::::::::::::::
:: CONFIG
set seven_zip_path="C:\cmdlinetools\7z-patched-to-be-quiet.exe"
set ttbin2hex_path="C:\cmdlinetools\ttbin2hex.exe"
set tifileprop_path="C:\cmdlinetools\tifileprop.exe"
set tprbuilder_path="C:\Program Files\GCC4TI\tprbuilder.exe"
set tpr_count_path="C:\cmdlinetools\tprcount.exe"
:: END CONFIG
::::::::::::::::::::::::::

ECHO ---------------------------------------------------------
ECHO English version
ECHO ---------------------------------------------------------
ECHO Compile uncompressed version
%tprbuilder_path% -q -DLANG_EN easychar_uc.tpr

FOR %%A IN (easychar_uc.*z) DO "%tifileprop_path%" -d a -fi easychar -c "EasyChar by Stefan Heule" -q "%%A"

move /Y easychar_Uc.v2z "../bin/english/voyage 200/uncompressed/easychar (english, voyage 200, uncompressed).v2z" >> nul
move /Y easychar_uc.9xz "../bin/english/ti-92 plus/uncompressed/easychar (english, ti-92 plus, uncompressed).9xz" >> nul
move /Y easychar_uc.89z "../bin/english/ti-89 titanium/uncompressed/easychar (english, ti-89 titanium, uncompressed).89z" >> nul

ECHO Compile compressed version
%tprbuilder_path% -q -DLANG_EN easychar_c.tpr

FOR %%A IN (easychar_c.*y) DO "%tifileprop_path%" -d a -c "EasyChar by Stefan Heule" -q "%%A"
FOR %%A IN (easychar_c.*z) DO "%tifileprop_path%" -d a -fi easychar -c "EasyChar by Stefan Heule" -q "%%A"

move /Y easychar_c.v2z "../bin/english/voyage 200/compressed/easychar (english, voyage 200, compressed).v2z" >> nul
move /Y easychar_c.9xz "../bin/english/ti-92 plus/compressed/easychar (english, ti-92 plus, compressed).9xz" >> nul
move /Y easychar_c.89z "../bin/english/ti-89 titanium/compressed/easychar (english, ti-89 titanium, compressed).89z" >> nul
move /Y easychar_c.v2y "../bin/english/voyage 200/compressed/easychar (english, voyage 200, compressed).v2y" >> nul
move /Y easychar_c.9xy "../bin/english/ti-92 plus/compressed/easychar (english, ti-92 plus, compressed).9xy" >> nul
move /Y easychar_c.89y "../bin/english/ti-89 titanium/compressed/easychar (english, ti-89 titanium, compressed).89y" >> nul
ECHO ---------------------------------------------------------
ECHO German version
ECHO ---------------------------------------------------------
ECHO Compile uncompressed version
%tprbuilder_path% -q -DLANG_DE easychar_uc.tpr

FOR %%A IN (easychar_uc.*z) DO "%tifileprop_path%" -d a -fi easychar -c "EasyChar by Stefan Heule" -q "%%A"

move /Y easychar_Uc.v2z "../bin/german/voyage 200/uncompressed/easychar (english, voyage 200, uncompressed).v2z" >> nul
move /Y easychar_uc.9xz "../bin/german/ti-92 plus/uncompressed/easychar (english, ti-92 plus, uncompressed).9xz" >> nul
move /Y easychar_uc.89z "../bin/german/ti-89 titanium/uncompressed/easychar (english, ti-89 titanium, uncompressed).89z" >> nul

ECHO Compile compressed version
%tprbuilder_path% -q -DLANG_DE easychar_c.tpr

FOR %%A IN (easychar_c.*y) DO "%tifileprop_path%" -d a -c "EasyChar by Stefan Heule" -q "%%A"
FOR %%A IN (easychar_c.*z) DO "%tifileprop_path%" -d a -fi easychar -c "EasyChar by Stefan Heule" -q "%%A"

move /Y easychar_c.v2z "../bin/german/voyage 200/compressed/easychar (english, voyage 200, compressed).v2z" >> nul
move /Y easychar_c.9xz "../bin/german/ti-92 plus/compressed/easychar (english, ti-92 plus, compressed).9xz" >> nul
move /Y easychar_c.89z "../bin/german/ti-89 titanium/compressed/easychar (english, ti-89 titanium, compressed).89z" >> nul
move /Y easychar_c.v2y "../bin/german/voyage 200/compressed/easychar (english, voyage 200, compressed).v2y" >> nul
move /Y easychar_c.9xy "../bin/german/ti-92 plus/compressed/easychar (english, ti-92 plus, compressed).9xy" >> nul
move /Y easychar_c.89y "../bin/german/ti-89 titanium/compressed/easychar (english, ti-89 titanium, compressed).89y" >> nul

ECHO ---------------------------------------------------------
::%tpr_count_path% easychar_uc.tpr
ECHO ---------------------------------------------------------

IF "%1" EQU "-q" goto eof
PAUSE

:eof
