/******************************************************************************
*                                                                             *
*   E a s y C h a r                                                           *
*                                                                             *
*   by Stefan Heule                                                           *
*   member of boolsoft (www.boolsoft.org)                                     *
*                                                                             *
*   Source Code                                                               *
*                                                                             *
*******************************************************************************

EasyChar - Replacement of the standard char menu
Copyright (C) 2007-2010  Stefan Heule

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/



#ifndef MESSAGES_H
#define MESSAGES_H


// ----------------------------------------------------------------- //
// --- common
// ----------------------------------------------------------------- //
#define MSG_ABOUT_PROGRAM_NAME        "EasyChar"
#define MSG_ABOUT_VERSION             "1.1.0"
#define MSG_ABOUT_BOOLSOFT_URL        "http://www.boolsoft.org/"


// ----------------------------------------------------------------- //
// --- english
// ----------------------------------------------------------------- //
#if defined(LANG_EN)
#include "msg_english.h"


// ----------------------------------------------------------------- //
// --- german
// ----------------------------------------------------------------- //
#elif defined(LANG_DE)
#include "msg_german.h"


// ----------------------------------------------------------------- //
// --- error
// ----------------------------------------------------------------- //
#else
#warning No language specified! Falling back to LANG_EN!
#define LANG_EN
#include "msg_english.h"
#endif

#endif
















